Bug 499843 - Evolution failed to start in calendar mode
Evolution failed to start in calendar mode
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 10:39 EDT by Marc Milgram
Modified: 2009-05-12 10:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 10:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 573263 None None None Never

  None (edit)
Description Marc Milgram 2009-05-08 10:39:50 EDT
Description of problem:
Evolution exited early on when starting up in calendar mode.  I got the following messages:
** (evolution:32599): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:32599): DEBUG: mailto URL program: evolution
(evolution:32599): e-data-server-DEBUG: Loading categories from "/home/mmilgram/.evolution/categories.xml"
(evolution:32599): e-data-server-DEBUG: Loaded 29 categories

(evolution:32599): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:32599): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:32599): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
camel-imap-provider-Message: Unable to load summary: no such table: Chats

I have CalDAV calendars, WebCal calendars, a local calendar, and a weather calendar.

When I disabled the CalDAV calendar, evolution started, but complained that "Evolution Calendars exited", and disabled all my calendars.

After running evolution --force-shutdown, evolution was able to run again, but I have had these problems off and on, and they regularly cause me pain.

Version-Release number of selected component (if applicable):
evolution-2.26.1-2.fc11.x86_64
evolution-data-server-2.26.1-1.fc11.x86_64


How reproducible:
Inconsistent

Steps to Reproduce:
1.Configure multiple calendars in evolution.
2.Start evolution calendar in a separate window from mail
3.Compose an email (sometimes this is a trigger)
  
Actual results:
evolution exits

Expected results:
evolution keeps running as expected.

Additional info:
Comment 1 Milan Crha 2009-05-11 05:11:35 EDT
It seems your evolution-data-server crashed for some issue.
Could you run /usr/libexec/evolution-data-server-2-26 on a separate console,then attach gdb to it, like this (EDS_PID is a process ID of the running eds):
   $ gdb -pid=EDS_PID --ex c
and then try to reproduce the crash. When that happen, the gdb will stop in a prompt, and you could use the command "t a a bt" (quotes for clarity only) to get a backtrace of the crash. Paste here the backtrace, please.

Note1: please install debug info packages for evolution-data-server, evolution
Note2: before running new evolution-data-server close all evolution processes
       and run evolution --force-shutdown
Comment 2 Marc Milgram 2009-05-11 08:59:21 EDT
Here is the data that was from bug buddy:

Distribution: Fedora release 10.93 (Leonidas)
Gnome Release: 2.26.1 2009-04-29 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.2-126.fc11.x86_64 #1 SMP Mon May 4 04:46:15 EDT 2009 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10601000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Fedora
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 1515540480 vsize: 1515540480 resident: 51929088 share: 24522752 rss: 51929088 rss_rlim: 18446744073709551615
CPU usage: start_time: 1242046614 rtime: 269 utime: 225 stime: 44 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/evolution'

[Thread debugging using libthread_db enabled]
[New Thread 0x7faf68073910 (LWP 3194)]
[New Thread 0x7faf52bfd910 (LWP 3136)]
[New Thread 0x7faf697fb910 (LWP 3133)]
[New Thread 0x7faf6a1fc910 (LWP 3131)]
[New Thread 0x7faf6abfd910 (LWP 3130)]
[New Thread 0x7faf6bfff910 (LWP 3128)]
[New Thread 0x7faf70f48910 (LWP 3127)]
0x0000003ae680eacd in waitpid () from /lib64/libpthread.so.0
#0  0x0000003ae680eacd in waitpid () from /lib64/libpthread.so.0
#1  0x0000003ae746fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
#2  0x0000003ae746fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
#3  0x00007faf766e7dc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
#4  <signal handler called>
#5  0x0000003aefa206d9 in ?? () from /usr/lib64/libpango-1.0.so.0
#6  0x0000003aefa20759 in pango_layout_context_changed ()
   from /usr/lib64/libpango-1.0.so.0
#7  0x00007faf7efd4099 in reset_layout (text=0x20b0a80) at e-text.c:426
#8  0x00007faf7efd42ea in e_text_draw (item=0x20b0a80, drawable=0x1f21af0, 
    x=0, y=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at e-text.c:1525
#9  0x0000003afb22293e in ?? () from /usr/lib64/libgnomecanvas-2.so.0
#10 0x0000003afb22755a in ?? () from /usr/lib64/libgnomecanvas-2.so.0
#11 0x0000003aeed2fcd8 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#12 0x0000003ae7c0b8ae in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#13 0x0000003ae7c20cc5 in ?? () from /lib64/libgobject-2.0.so.0
#14 0x0000003ae7c2229c in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#15 0x0000003ae7c22963 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#16 0x0000003aeee35ecf in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
#17 0x0000003aeed296d9 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#18 0x0000003aed837956 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#19 0x0000003aed837ea1 in gdk_window_process_all_updates ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#20 0x0000003aed837ec9 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#21 0x0000003aed81c36a in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
#22 0x0000003ae743818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#23 0x0000003ae743b8e8 in ?? () from /lib64/libglib-2.0.so.0
#24 0x0000003ae743bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#25 0x0000003af862d026 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#26 0x000000000041638d in main (argc=<value optimized out>, 
    argv=<value optimized out>) at main.c:704

Thread 8 (Thread 0x7faf70f48910 (LWP 3127)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x1754ca8)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 0x7faf6bfff910 (LWP 3128)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x1775b88)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 0x7faf6abfd910 (LWP 3130)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x7faf5c0041d8)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 0x7faf6a1fc910 (LWP 3131)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x7faf5c035888)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 0x7faf697fb910 (LWP 3133)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x191bd18)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 0x7faf52bfd910 (LWP 3136)):
#0  0x0000003ae680b3b9 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae7414150 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae7414514 in g_async_queue_pop () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf7dda22d1 in sync_request_thread_cb (cFile=0x192d998)
    at camel-db.c:78
        data = 0xfffffffffffffe00
        flags = -427776864
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 0x7faf68073910 (LWP 3194)):
#0  0x0000003ae5cd7043 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003ae743b6e2 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae743bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003af0e47d20 in ?? () from /usr/lib64/libORBit-2.so.0
No symbol table info available.
#4  0x0000003ae74616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003ae680687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x0000003ae5ce04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7faf7c9bd7f0 (LWP 3122)):
#0  0x0000003ae680eacd in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003ae746fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003ae746fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007faf766e7dc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0000003aefa206d9 in ?? () from /usr/lib64/libpango-1.0.so.0
No symbol table info available.
#6  0x0000003aefa20759 in pango_layout_context_changed ()
   from /usr/lib64/libpango-1.0.so.0
No symbol table info available.
#7  0x00007faf7efd4099 in reset_layout (text=0x20b0a80) at e-text.c:426
        font_options = 0x1918390
        context = 0x1f194a0
#8  0x00007faf7efd42ea in e_text_draw (item=0x20b0a80, drawable=0x1f21af0, 
    x=0, y=<value optimized out>, width=<value optimized out>, 
    height=<value optimized out>) at e-text.c:1525
        text = 0x20b0a80
        rect = {x = 0, y = 0, width = 0, height = 0}
        clip_rect = 0x1f21af0
        xpos = <value optimized out>
        ypos = <value optimized out>
        main_gc = 0x1f50ba0
        widget = 0x1ef40c0
#9  0x0000003afb22293e in ?? () from /usr/lib64/libgnomecanvas-2.so.0
No symbol table info available.
#10 0x0000003afb22755a in ?? () from /usr/lib64/libgnomecanvas-2.so.0
No symbol table info available.
#11 0x0000003aeed2fcd8 in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#12 0x0000003ae7c0b8ae in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x0000003ae7c20cc5 in ?? () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#14 0x0000003ae7c2229c in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#15 0x0000003ae7c22963 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#16 0x0000003aeee35ecf in ?? () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#17 0x0000003aeed296d9 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#18 0x0000003aed837956 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#19 0x0000003aed837ea1 in gdk_window_process_all_updates ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#20 0x0000003aed837ec9 in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#21 0x0000003aed81c36a in ?? () from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#22 0x0000003ae743818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#23 0x0000003ae743b8e8 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#24 0x0000003ae743bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#25 0x0000003af862d026 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#26 0x000000000041638d in main (argc=<value optimized out>, 
    argv=<value optimized out>) at main.c:704
        client = 0x1726d20
        program = 0x16aa040
        master_client = <value optimized out>
        context = <value optimized out>
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


---- Critical and fatal warnings logged during execution ----

** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 
** calendar-gui **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed 


----------- .xsession-errors (6 sec old) ---------------------
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
(evolution:3122): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
--------------------------------------------------
Comment 3 Marc Milgram 2009-05-11 09:04:22 EDT
I followed the instructions from Comment #1.  Comment #2 is where Evolution crashed.  But, gdb never got a prompt (I don't think that evolution data server crashed).  The gdb window did list numerous threads starting and exiting.

The evolution-data-server window showed the following after initialization messages:

evolution-data-server-Message: Server up and running
impl_GNOME_Evolution_Addressbook_BookFactory_getBook
 + file:///home/mmilgram/.evolution/addressbook/local/system
 => 0x7fc7d401caa0
impl_GNOME_Evolution_Addressbook_Book_open (0x7fc7d401caa0)

(evolution-data-server-2.26:2888): libedata-book-WARNING **: impl_GNOME_Evolution_Addressbook_Book_getBookView ((contains "x-evolution-any-field" ""))

e_data_book_respond_get_book_view
book_view file uref 
backend_last_client_gone_cb() called!
Comment 4 Marc Milgram 2009-05-11 09:07:27 EDT
I ran it again, and got the same error.  This time I started evolution from a separate window, and noticed the following messages were reported:

$ evolution
** (evolution:3362): DEBUG: mailto URL command: evolution --component=mail %s
** (evolution:3362): DEBUG: mailto URL program: evolution
(evolution:3362): e-data-server-DEBUG: Loading categories from "/home/mmilgram/.evolution/categories.xml"
(evolution:3362): e-data-server-DEBUG: Loaded 29 categories

(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:3362): GLib-GObject-CRITICAL **: g_object_ref: assertion `object->ref_count > 0' failed

(evolution:3362): GLib-GObject-CRITICAL **: g_object_unref: assertion `object->ref_count > 0' failed

(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed

(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
camel-imap-provider-Message: Unable to load summary: no such table: Chats

camel-imap-provider-Message: Unable to load summary: no such table: Contacts

camel-imap-provider-Message: Unable to load summary: no such table: Drafts

camel-imap-provider-Message: Unable to load summary: no such table: Emailed Contacts


(evolution:3362): calendar-gui-CRITICAL **: e_week_view_add_event: assertion `start < add_event_data->week_view->day_starts[num_days]' failed
camel-imap-provider-Message: Unable to load summary: no such table: infra
Comment 5 Milan Crha 2009-05-11 09:14:00 EDT
Aah, I see, I thought from your initial report that the eds was crashing (as all the calendars had been unchecked), but now I understand the evolution itself is crashing.

From the above backtrace, it seems like the upstream bug [1]. I'm afraid there is no workaround for it, neither a patch. Last time I tried to reproduce it it didn't trigger to me.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=573263
Comment 7 Milan Crha 2009-05-12 10:54:59 EDT
Closing as upstream, as I attached patch there. Thanks for your help.

Note You need to log in before you can comment on or make changes to this bug.